import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SEARCH_ROUTE } from './search.route';
import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { QueryParamModule } from '@ngqp/core';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { ExerciseModule } from 'app/exercise/exercise.module';

import { SearchComponent } from './search.component';
import { SearchInputComponent } from './search-input/search-input.component';
import { WatchlistComponent } from '../watchlist/watchlist.component';


@NgModule({
  imports: [RouterModule.forChild([SEARCH_ROUTE]), GitSearchV2SharedModule, QueryParamModule, InfiniteScrollModule,
     ExerciseModule],
  declarations: [SearchComponent, SearchInputComponent, WatchlistComponent],
  exports: [SearchComponent],
})
export class SearchModule {}
